reddit 01
15 个接口
GETcheck subreddit muted
GET https://dkai.store/api/v1/reddit/app/check_subreddit_muted1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
subreddit_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/check_subreddit_muted?subreddit_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch comment replies
GET https://dkai.store/api/v1/reddit/app/fetch_comment_replies1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
post_id | query | 必填 | |
cursor | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_comment_replies?post_id=VALUE&cursor=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch community highlights
GET https://dkai.store/api/v1/reddit/app/fetch_community_highlights1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
subreddit_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_community_highlights?subreddit_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch dynamic search
GET https://dkai.store/api/v1/reddit/app/fetch_dynamic_search1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_dynamic_search?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch games feed
GET https://dkai.store/api/v1/reddit/app/fetch_games_feed1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_games_feed'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch home feed
GET https://dkai.store/api/v1/reddit/app/fetch_home_feed1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_home_feed'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch news feed
GET https://dkai.store/api/v1/reddit/app/fetch_news_feed1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_news_feed'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch popular feed
GET https://dkai.store/api/v1/reddit/app/fetch_popular_feed1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_popular_feed'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post comments
GET https://dkai.store/api/v1/reddit/app/fetch_post_comments1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
post_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_post_comments?post_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post details
GET https://dkai.store/api/v1/reddit/app/fetch_post_details1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
post_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_post_details?post_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post details batch
GET https://dkai.store/api/v1/reddit/app/fetch_post_details_batch5 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
post_ids | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_post_details_batch?post_ids=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post details batch large
GET https://dkai.store/api/v1/reddit/app/fetch_post_details_batch_large22 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
post_ids | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_post_details_batch_large?post_ids=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch search typeahead
GET https://dkai.store/api/v1/reddit/app/fetch_search_typeahead1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_search_typeahead?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch subreddit feed
GET https://dkai.store/api/v1/reddit/app/fetch_subreddit_feed1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
subreddit_name | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_subreddit_feed?subreddit_name=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch subreddit info
GET https://dkai.store/api/v1/reddit/app/fetch_subreddit_info1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_subreddit_info'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。